com.hazelcast.spi.exception

## Class RetryableHazelcastException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.hazelcast.core.HazelcastException
        - - com.hazelcast.spi.exception.RetryableHazelcastException

- All Implemented Interfaces:
    RetryableException, Serializable
  Direct Known Subclasses:
    CallerNotMemberException, PartitionMigratingException, TargetNotMemberException, TargetNotReplicaException, WrongTargetException

      public class RetryableHazelcastException
      extends HazelcastException
      implements RetryableException

  A 'marker' exception that indicates that an operation can be retried. E.g. if map.get is send to a partition that is currently migrating, a subclass of this exception is thrown, so the caller can deal with it (e.g. sending the request to the new partition owner).
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RetryableHazelcastException()`
    `RetryableHazelcastException(String message)`
    `RetryableHazelcastException(String message, Throwable cause)`
    `RetryableHazelcastException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RetryableHazelcastException

          public RetryableHazelcastException()

    - #### RetryableHazelcastException

          public RetryableHazelcastException(String message)

    - #### RetryableHazelcastException

          public RetryableHazelcastException(String message,
                                             Throwable cause)

    - #### RetryableHazelcastException

          public RetryableHazelcastException(Throwable cause)

Copyright © 2020. All rights reserved.